@import '~bootstrap/dist/css/bootstrap.css';

@import '~@fortawesome/fontawesome-free/css/all.min.css';

@import url('https://fonts.googleapis.com/css2?family=Share+Tech&display=swap');

:root { 
	--dark-color: #131417; 
	--grey-color: #1e1f26;
}

html, body {
  background-color: var(--dark-color);
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  box-sizing: border-box;
  width: 100%;
	height: 100%;
}
 
.tech-font {
	font-family: 'Share Tech', sans-serif;
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

#__layout {
	background-color: #131417;
	/*color: white;*/
}

.relative {
  position: relative;
}

.dark-bg {
	background-color: var(--dark-color)
}

.grey-bg {
	background-color: var(--grey-color)
}

.silver-text {
  color: #dedede !important;
}

.bb-2 {
	border-bottom: 2px solid var(--dark-color);
}

.bt-3 {
	border-top: 3px solid var(--dark-color);
}

.p-20 {
  padding: 20px
}

.font-28 {
  font-size: 28px !important;
}

.font-24 {
  font-size: 24px !important;
}

.font-20 {
  font-size: 20px !important;
}

p, h1, h2, h3, h4, h5, h6 {
	padding: 0px;
	margin: 0px;
}

.settings-card {
	background-color: #1E1F26; 
	color: white; 
	border-radius: 4px;
}

.float-right {
	float: right;
}

.cursor {
	cursor: pointer;
}

.h-0 {
	height: 0px;
}

.vh-100 {
	height: 100vh;
}

/* width */
::-webkit-scrollbar {
  width: 0px;
}

/* Track */
::-webkit-scrollbar-track {
  background: transparent; 
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: white; 
  border-radius: 5%;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555; 
}


/* Shine Image on Hover */
.image-hover {
	overflow: hidden;
}

.image-hover figure {
	position: relative;
}

.image-hover figure::before {
	position: absolute;
	top: 0;
	left: -75%;
	z-index: 2;
	display: block;
	content: '';
	width: 50%;
	height: 100%;
	background: -webkit-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,.3) 100%);
	background: linear-gradient(to right, rgba(255,255,255,0) 0%, rgba(255,255,255,.3) 100%);
	-webkit-transform: skewX(-25deg);
	transform: skewX(-25deg);
}

.image-hover figure:hover::before {
	-webkit-animation: shine .75s;
	animation: shine .75s;
}

@-webkit-keyframes shine {
	100% {
		left: 125%;
	}
}

@keyframes shine {
	100% {
		left: 125%;
	}
}
/* ----------- */


@import 'media.css';
